<template>
  <div class="signUp">
    <el-tabs @tab-click="handleClick" v-model="campStatus">
      <el-tab-pane label="正在报名" name="1">
        <campList></campList>
      </el-tab-pane>
      <el-tab-pane label="即将开营" name="2">
        <campList></campList>
      </el-tab-pane>
      <el-tab-pane label="开营中" name="3">
        <campList></campList>
      </el-tab-pane>
      <el-tab-pane label="已结营" name="4">
        <campList></campList>
      </el-tab-pane>
      <el-tab-pane label="已退营" name="5">
        <campList></campList>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
  import campList from "@/components/base/myInfo/campList.vue";

  export default {
    name: "signUpList",
    components: {
      campList
    },
    data() {
      return {
        campStatus: '1'
      }
    },
    methods: {
      handleClick(tab, event) {
        console.log(tab, event);
        console.log(tab.index);
        console.log(tab.name);
      }
    }

  }
</script>

<style lang="scss" scoped>
  .flex {
    display: flex;
  }

  .signUp {
    margin: 10px 80px 10px 31px;


  }
</style>
